Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.beanutils.converters
Class ByteConverter

    java.lang.Object
      |
      +--org.apache.commons.beanutils.converters.AbstractConverter
            |
            +--org.apache.commons.beanutils.converters.NumberConverter
                  |
                  +--org.apache.commons.beanutils.converters.ByteConverter

All Implemented Interfaces:
  Converter

public final class ByteConverter
extends NumberConverter

`NumberConverter` implementation that handles conversion to and from java.lang.Byte objects.

This implementation can be configured to handle conversion either by using Byte's default String conversion, or by using a Locale's pattern or by specifying a format pattern. See the `NumberConverter` documentation for further details.

Can be configured to either return a default value or throw a `ConversionException` if a conversion error occurs.

Since:
  1.3
Version:
  $Revision: 555824 $ $Date: 2007-07-13 01:27:15 +0100 (Fri, 13 Jul 2007) $
Author:
  Craig R. McClanahan

Constructor Summary
`ByteConverter()` Construct a java.lang.Byte Converter that throws a `ConversionException` if an error occurs.
`ByteConverter(java.lang.Object defaultValue)` Construct a java.lang.Byte Converter that returns a default value if an error occurs.

Methods inherited from class org.apache.commons.beanutils.converters.NumberConverter
`convertToString, convertToType, getLocale, getPattern, isAllowDecimals, setLocale, setPattern, setUseLocaleFormat, toString`

Methods inherited from class org.apache.commons.beanutils.converters.AbstractConverter
`convert, convertArray, getDefault, getDefaultType, handleError, handleMissing, isUseDefault, setDefaultValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ByteConverter

    public ByteConverter()

  Construct a java.lang.Byte Converter that throws a `ConversionException` if an error occurs.

### ByteConverter

    public ByteConverter(java.lang.Object defaultValue)

  Construct a java.lang.Byte Converter that returns a default value if an error occurs.
  Parameters:
    `defaultValue` - The default value to be returned if the value to be converted is missing or an error occurs converting the value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 The Apache Software Foundation. All Rights Reserved.